
function setVisibleByInputType(inputType,setFieldVisibleByBatch) {
  let inputTypeIsBigSize=inputType===0;//大卡
  const arrayList=[];
  arrayList.push({field: 'CHILD_PDT',visible:inputTypeIsBigSize});
  setFieldVisibleByBatch(arrayList);
}


//	产品样本配置编辑
export default {
  onChange: ({value,colInfo,setFieldVisibleByBatch}) => {
    if(colInfo.FIELD_NAME=='TYPE'){
      setVisibleByInputType(value,setFieldVisibleByBatch);
    }
  },
  onBeforeEdit:({stateData,setFieldVisibleByBatch})=>{
    setVisibleByInputType(stateData.TYPE,setFieldVisibleByBatch);
  },
}
